org.modeshape.jcr.query

## Class JcrQueryResult.AbstractRow

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.AbstractRow

- All Implemented Interfaces:
    Row
  Direct Known Subclasses:
    JcrQueryResult.MultiSelectorQueryResultRow, JcrQueryResult.SingleSelectorQueryResultRow
  Enclosing class:
    JcrQueryResult

      protected abstract static class JcrQueryResult.AbstractRow
      extends Object
      implements Row

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NodeSequence.Batch` | `batchAtRow`
    `protected JcrQueryResult.QueryResultRowIterator` | `iterator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.AbstractRow(JcrQueryResult.QueryResultRowIterator iterator, NodeSequence.Batch batchAtRow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getNode()`
    `Node` | `getNode(String selectorName)`
    `String` | `getPath()`
    `String` | `getPath(String selectorName)`
    `double` | `getScore()`
    `double` | `getScore(String selectorName)`
    `protected Value` | `getValue(String columnName, CachedNode cachedNode, int nodeIndex)`
    `Value[]` | `getValues()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jcr.query.Row

      `getValue`

- - ### Field Detail

    - #### iterator

          protected final JcrQueryResult.QueryResultRowIterator iterator

    - #### batchAtRow

          protected final NodeSequence.Batch batchAtRow

  - ### Constructor Detail

    - #### JcrQueryResult.AbstractRow

          protected JcrQueryResult.AbstractRow(JcrQueryResult.QueryResultRowIterator iterator,
                                    NodeSequence.Batch batchAtRow)

  - ### Method Detail

    - #### getNode

          public Node getNode(String selectorName)
                       throws RepositoryException

      Specified by:
        `getNode` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getValue

          protected Value getValue(String columnName,
                       CachedNode cachedNode,
                       int nodeIndex)
                            throws ItemNotFoundException,
                                   RepositoryException

      Throws:
        `ItemNotFoundException`
        `RepositoryException`

    - #### getValues

          public Value[] getValues()
                            throws RepositoryException

      Specified by:
        `getValues` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getNode

          public Node getNode()
                       throws RepositoryException

      Specified by:
        `getNode` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getPath

          public String getPath()
                         throws RepositoryException

      Specified by:
        `getPath` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getScore

          public double getScore()
                          throws RepositoryException

      Specified by:
        `getScore` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getPath

          public String getPath(String selectorName)
                         throws RepositoryException

      Specified by:
        `getPath` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getScore

          public double getScore(String selectorName)
                          throws RepositoryException

      Specified by:
        `getScore` in interface `Row`
      Throws:
        `RepositoryException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.